Bug 518621 - can't install from livecd image in qemu, Formatting does not complete
can't install from livecd image in qemu, Formatting does not complete
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-21 06:43 EDT by Karel Volný
Modified: 2010-03-02 09:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 14:40:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2009-08-21 06:43:31 EDT
Description of problem:
Trying to install Fedora 11 in a virtual machine fails during creation of filesystems.

Version-Release number of selected component (if applicable):
0.10.6-1.fc11

How reproducible:
always (well, I tried twice)

Steps to Reproduce:
1. dd if=/dev/zero of=F11.img count=10M
2. wget http://download.fedoraproject.org/pub/fedora/linux/releases/11/Live/i686/Fedora-11-i686-Live.iso
3. qemu -cdrom Fedora-11-i686-Live.iso -boot d -m 512 F11.img
4. run Install to Hard Drive
5. next, next ...
6. partitioning => Use entire drive
7. next ...
  
Actual results:
the message box:

Formatting
Creating filesystem on /dev/sda1...

with oscilating progress bar is shown and it stays there "forever" (well, I left it overnight), qemu process takes all the available time of one cpu

Expected results:
the filesystem gets created within a few seconds and the installation moves on

Additional info:
Inside the virtual system, there doesn't seem to be anything working hard - the process with most cpu usage is Xorg, I guess because of redrawing the progressbar ...
Comment 1 Glauber Costa 2009-08-21 08:49:10 EDT
There were a bug report a while ago, quite close to yours. IIRC, however, it was related to virtio disks that yours don't use. So probably not that.

One thing to keep in mind, is that your disk is too small. If you are using a journaled filesystem, it might not even be enough to fit the journal. So although it does not make this behaviour acceptable, I'd like to see results using a bigger disk. Please test and tell me if this still happen.
Comment 2 Karel Volný 2009-08-24 07:09:11 EDT
(In reply to comment #1)
> One thing to keep in mind, is that your disk is too small. If you are using a
> journaled filesystem, it might not even be enough to fit the journal. So
> although it does not make this behaviour acceptable, I'd like to see results
> using a bigger disk. Please test and tell me if this still happen.  

I'm a bit confused, please could you specify how big the disk should be?

- the mentioned command "dd if=/dev/zero of=F11.img count=10M" prepares a file of size 5 GiB to be used as the disk image, this doesn't seem too small to me

... however, I've tried doubling that, and it is the same also with 10 GiB image
Comment 3 Mark McLoughlin 2009-09-04 05:50:45 EDT
(In reply to comment #0)

> Actual results:
> the message box:
> 
> Formatting
> Creating filesystem on /dev/sda1...
> 
> with oscilating progress bar is shown and it stays there "forever" (well, I
> left it overnight), qemu process takes all the available time of one cpu

Okay, I can reproduce that with /usr/bin/qemu but not /usr/bin/qemu-kvm

Could you confirm that qemu-kvm works for you? (assuming you have a KVM capable machine available)

Any chance you could downgrade to qemu-0.10.5 and see if that helps? How about rawhide qemu?
Comment 4 Mark McLoughlin 2009-09-04 05:51:59 EDT
Oh, btw - I tried booting an existing VM under /usr/bin/qemu with a secondary 5GiB IDE disk and mke2fs worked just fine
Comment 5 Mark McLoughlin 2009-11-20 14:40:09 EST
No response to needinfo since 2009-09-04, closing
Comment 6 Karel Volný 2010-03-02 09:23:36 EST
um, sorry, I forgot to report back ... lazy to try F11 again, F12 seems to work just fine (oh and F13 alpha too)

Note You need to log in before you can comment on or make changes to this bug.